aboutsummaryrefslogtreecommitdiff
path: root/gcc/fixinc/fixincl.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gcc/fixinc/fixincl.sh')
-rwxr-xr-xgcc/fixinc/fixincl.sh15
1 files changed, 7 insertions, 8 deletions
diff --git a/gcc/fixinc/fixincl.sh b/gcc/fixinc/fixincl.sh
index 18b5fb24651..b84d7014d97 100755
--- a/gcc/fixinc/fixincl.sh
+++ b/gcc/fixinc/fixincl.sh
@@ -97,6 +97,13 @@ esac
ORIGDIR=`${PWDCMD}`
export ORIGDIR
FIXINCL=${ORIGDIR}/fixinc/fixincl
+if [ ! -x $FIXINCL ] ; then
+ FIXINCL=${ORIGDIR}/fixincl
+ if [ ! -x $FIXINCL ] ; then
+ echo "Cannot find working fixincl" >&2
+ exit 1
+ fi
+fi
export FIXINCL
# Make LIB absolute only if needed to avoid problems with the amd.
@@ -470,11 +477,3 @@ then echo fixincludes is done ; fi
done
#
# # # # # # # # # # # # # # # # # # # # #
-
-if [ x${INSTALL_ASSERT_H} != x ] && [ -f ${srcdir}/assert.h ]
-then
- cd $ORIGDIR
- rm -f include/assert.h
- cp ${srcdir}/assert.h include/assert.h || exit 1
- chmod a+r include/assert.h
-fi